[eclipse-mpc] - Initial commit.

Chris Aniszczyk caniszczyk at fedoraproject.org
Tue Oct 12 16:28:37 UTC 2010


commit 2eb71860a3b0293df2f495db2e8a75659e2becc3
Author: Chris Aniszczyk <zx at redhat.com>
Date:   Tue Oct 12 11:24:23 2010 -0500

    - Initial commit.

 .gitignore               |    1 +
 eclipse-mpc-fetch-src.sh |   27 +++++++++++++++++++++++
 eclipse-mpc.spec         |   54 ++++++++++++++++++++++++++++++++++++++++++++++
 sources                  |    1 +
 4 files changed, 83 insertions(+), 0 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index e69de29..5a4887c 100644
--- a/.gitignore
+++ b/.gitignore
@@ -0,0 +1 @@
+/eclipse-mpc-fetched-src-R_1_0_1.tar.xz
diff --git a/eclipse-mpc-fetch-src.sh b/eclipse-mpc-fetch-src.sh
new file mode 100644
index 0000000..083803d
--- /dev/null
+++ b/eclipse-mpc-fetch-src.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+usage='usage: $0 <tag>'
+name=eclipse-mpc
+tag=R_1_0_1
+tar_name=$name-fetched-src-$tag
+
+# example of fetch command:
+# fetch_cmd=cvs -d:pserver:anonymous at dev.eclipse.org:/cvsroot/dsdp \
+# export -r $tag org.eclipse.tm.rse/features/$f;
+
+fetch_cmd="git clone -q git://git.eclipse.org/gitroot/mpc/org.eclipse.epp.mpc mpc"
+
+if [ "x$tag"x = 'xx' ]; then
+   echo >&2 "$usage"
+   exit 1
+fi
+
+rm -fr $tar_name && mkdir $tar_name
+pushd $tar_name
+
+# Fetch plugins
+$fetch_cmd
+cd mpc
+
+# create archive
+git archive $tag --output=../../$tar_name.tar
+xz -z ../../$tar_name.tar
\ No newline at end of file
diff --git a/eclipse-mpc.spec b/eclipse-mpc.spec
new file mode 100644
index 0000000..8102280
--- /dev/null
+++ b/eclipse-mpc.spec
@@ -0,0 +1,54 @@
+%global src_repo_tag   R_1_0_1
+%global eclipse_base   %{_libdir}/eclipse
+%global install_loc    %{_datadir}/eclipse/dropins/mpc
+
+Name:           eclipse-mpc
+Version:        1.0.1
+Release:        1%{?dist}
+Summary:        Eclipse Marketplace Client
+
+Group:          Development/Tools
+License:        EPL
+URL:            http://www.eclipse.org/mpc/
+Source0:        %{name}-fetched-src-%{src_repo_tag}.tar.xz
+Source1:        %{name}-fetch-src.sh
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildArch: noarch
+
+BuildRequires: eclipse-pde >= 1:3.4.0
+BuildRequires: eclipse-p2-discovery >= 1.0.0
+Requires: eclipse-platform >= 3.6.0
+Requires: eclipse-p2-discovery >= 1.0.0
+
+%description
+The Eclipse Marketplace Client provides access to extension catalogs.
+
+%prep
+%setup -q -c
+
+%{__chmod} a-x org.eclipse.epp.mpc/license.html
+
+%build
+%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.epp.mpc -d discovery
+
+%install
+%{__rm} -rf %{buildroot}
+install -d -m 755 %{buildroot}%{install_loc}
+
+%{__unzip} -q -d %{buildroot}%{install_loc} \
+     build/rpmBuild/org.eclipse.epp.mpc.zip 
+
+%clean
+%{__rm} -rf %{buildroot}
+
+%files
+%defattr(-,root,root,-)
+%{install_loc}
+%doc org.eclipse.epp.mpc/epl-v10.html
+%doc org.eclipse.epp.mpc/license.html
+
+%changelog
+
+* Thu Sep 9 2010 Chris Aniszczyk <zx at redhat.com> 1.0.1-1
+- Initial packaging
diff --git a/sources b/sources
index e69de29..c53ff6d 100644
--- a/sources
+++ b/sources
@@ -0,0 +1 @@
+9b0bd0a568a8599a5e964dd70fd45c07  eclipse-mpc-fetched-src-R_1_0_1.tar.xz


More information about the scm-commits mailing list